from django.db import models
from django.conf import settings
from cms.models.pluginmodel import CMSPlugin
from django.utils.translation import ugettext as _

###################################
## CMS MODELS                     #
###################################

class ItemSettings(CMSPlugin):

    slugs_included = models.CharField(
        _("Slugs included"),
        max_length=150,
        blank=True,
        help_text=_("(Optional) Including item slug(s), separated by ','")
    )
    tales_included = models.CharField(
        _("Tales included"),
        max_length=150,
        blank=True,
        help_text=_("(Optional) Including item tale(s), separated by ','")
    )
    slugs_excluded = models.CharField(
        max_length=150,
        blank=True,
        help_text=_("(optional) Excluding item slug(s), separated by ','")
    );
    tales_excluded = models.CharField(
        max_length=150,
        blank=True,
        help_text=_("(optional) Excluding item tale(s), separated by ','")
    );
    ordering = models.CharField(
        _("Items order"),
        max_length=100,
        default='ordering, title, publication_date',
        help_text=_("Items ordering fields")
    )
    objects_per_page = models.IntegerField(
        default = 100,
    )
    template_name = models.CharField(
        _("Template"),
        max_length=150,
        choices=settings.SHOWCASE_CMSPLUGIN_TEMPLATES,
        default="cms_plugins/showcase_item_list.html",
        #        editable=len(settings.SHOWCASE_CMSPLUGIN_TEMPLATES) > 1
    )
    def __unicode__(self):
        return self.template_name

    class Meta:
        app_label = "showcase"


